Subject: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Van L <[email-masked]>
Date: Wed, 21 Nov 2018 23:23:44 +1100

>> The name firebrick2 hints closer to a kind of red than brown2.
> 
> OK, firebrick2 is a good color for `Hi Red B’.

ok x 2.

> 
>>> Then for hi-green we could use "green3".
>> 
>> The 'light green' is easier on the eye, it seems to my eye
>> not having exclusively one color component in the RGB is better.
> 
> 'light green' is almost white, so it's difficult to read on
> white background when 'light green' is used as foreground color

Yes. I agree. Let’s not have that.

> in `Hi Green B'. This is the reason why 'light green' is used as
> background color in `Hi Green', i.e. 'light green' is better
> for background, not foreground.

'light green'
  for hi-green is actually the background color highlight and black is foreground for the text

'darkgreen'
  was what we could agree on for `Hi Green B’ 

We are probably in agreement.

> 
>>> Regarding your idea of using rainbow colors, the problem
>>> is that on TTY there are only these colors:
>>> 
>>> red, green, yellow, blue, magenta, cyan
>>> 
>>> hi-blue face uses cyan color, not blue, and
>>> hi-pink face uses magenta color, not red.
>>> 
>>> Since hi-yellow uses yellow, and hi-green uses green already,
>>> unfortunately there are no other colors available on TTY.
>> 
>> That's a rabbit hole beyond scope. I am afraid.
> 
> The same way as hi-yellow is defined to use yellow, and hi-green
> to use green, we can define hi-blue to use blue color, and
> hi-pink to use red color.  This will free cyan and magenta
> to use.

I’ve never been able to workout the color choices for TTY and use 'emacs --color=no'

I have no opinion in relation to the TTY color choices.

The rainbow/artist’s coloring pencils theme for hi-faces is nicer to have for the wm-frame-windowing environment.